#
# Makefile for ALSA low level driver (Linux version)
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@jcu.cz>
#

.SUFFIXES:
.SUFFIXES: .c .s .S .o .sym

.c.o:
	$(CC) $(COPTS) $(INCLUDE) -c -o $*.o $<

.sym.c:
	$(PEXPORT) $<
ifeq (2,$(kversion))
ifeq (1,$(kpatchlevel))
	$(CC) $(INCLUDE) -E -D__GENKSYMS__ $*.c | /sbin/genksyms -k $(kversion).$(kpatchlevel).$(ksublevel) > $(DEXPORT)/$*.ver
else
	$(CC) $(INCLUDE) -E -D__GENKSYMS__ $*.c | /sbin/genksyms $(DEXPORT)
endif
endif
